image: sphinxdoc/sphinx:latest

stages:
  - docs
  - deploy

################################################################################
# Build Docs
################################################################################
docs:userguide:
  image: sphinxdoc/sphinx:latest
  script:
    - make -C docs
    - make -C docs/picvva
  stage: build-docs
  except:
    - schedules
  artifacts:
    name: $CI_JOB_NAME
    expire_in: 1 week
    paths:
      - webroot/docs_html
  tags:
    - docker

################################################################################
# Deploy
################################################################################
deploy:docs:
  needs: ['docs:userguide']
  image: amazon/aws-cli:latest
  variables:
    DOC_HOME: ${CI_PROJECT_DIR}/doc-staging
  script:
    - mv webroot/docs_html ${DOC_HOME}
    - aws s3 sync ${DOC_HOME} s3://exa-doc/user-manual/$CI_COMMIT_TAG --acl public-read
  dependencies:
    - docs:userguide
  except:
    - schedules
  only:
    - tags
  tags:
    - docker


